com.corticon.rulesemf.viewrulemodel.rulesheet.decisiontable

## Interface FilterSection

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface FilterSection
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Filter Section'.

  The following features are supported:

  - `Row Count`
  - `Scroll Row Top`
  - `Filter Item List`
  See Also:
    `DecisiontablePackage.getFilterSection()`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `copyright`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.util.EList` | `getFilterItemList()` Returns the value of the 'Filter Item List' containment reference list.
    `int` | `getRowCount()` Returns the value of the 'Row Count' attribute
    `int` | `getScrollRowTop()` Returns the value of the 'Scroll Row Top' attribute
    `void` | `setRowCount(int value)` Sets the value of the '`Row Count`' attribute
    `void` | `setScrollRowTop(int value)` Sets the value of the '`Scroll Row Top`' attribute

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### copyright

          static final java.lang.String copyright

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getRowCount

          int getRowCount()

      Returns the value of the 'Row Count' attribute.

      If the meaning of the 'Row Count' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Row Count' attribute.
      See Also:
        `setRowCount(int)`, `DecisiontablePackage.getFilterSection_RowCount()`

    - #### setRowCount

          void setRowCount(int value)

      Sets the value of the '`Row Count`' attribute.
      Parameters:
        `value` - the new value of the 'Row Count' attribute.
      See Also:
        `getRowCount()`

    - #### getScrollRowTop

          int getScrollRowTop()

      Returns the value of the 'Scroll Row Top' attribute.

      If the meaning of the 'Scroll Row Top' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Scroll Row Top' attribute.
      See Also:
        `setScrollRowTop(int)`, `DecisiontablePackage.getFilterSection_ScrollRowTop()`

    - #### setScrollRowTop

          void setScrollRowTop(int value)

      Sets the value of the '`Scroll Row Top`' attribute.
      Parameters:
        `value` - the new value of the 'Scroll Row Top' attribute.
      See Also:
        `getScrollRowTop()`

    - #### getFilterItemList

          org.eclipse.emf.common.util.EList getFilterItemList()

      Returns the value of the 'Filter Item List' containment reference list. The list contents are of type `FilterItem`.

      If the meaning of the 'Filter Item List' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Filter Item List' containment reference list.
      See Also:
        `DecisiontablePackage.getFilterSection_FilterItemList()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.